
Core - Bug # 25202

Status: Closed Priority: Should have
Author: Robert Wildling Category:
Created: 2011-02-28 Assigned To: Robert Wildling
Updated: 2015-01-09 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Extension Manager has no column for "last update" of respective ext (like "category")
Description

A list element for a quick list view of the "last update" dates of the extension was discussed very often in the past and still is not
integrated, even though the community expresses their needs for it. Please add this additional feature!

It would also be helpful to have a filter function for last updated ext, like: show all ext that where updated since October 2010. This
would be very helpful to quickly find ext that react to a major update of T3 as it is with v4.5 and will definately be with 5.0!

Even tough it is not a bug, but a feature wish, I define this entry as major, since it seems to be important to many community
members.
(issue imported from #M17799)

History
#1 - 2013-09-12 16:59 - Martin Voss
- File 20130912_extensionmanager_lastUpdated_alldownloadcounter.patch added
- File 20130912_extensionmanager_lastUpdated_alldownloadcounter.manage.png added
- File 20130912_extensionmanager_lastUpdated_alldownloadcounter.get.png added
- Target version deleted (0)

Find attached a patch against TYPO3 6.1.4 implementing this feature for both "Manage Extensions" and "Get Extensions" lists (screenshots for both
attached). Beside the "Last Updated" column, I also added an extra column for "Downloads" to have an indicator for the popularity of certain
extensions.

Regards,

Martin

#2 - 2013-09-13 11:21 - Martin Voss
- Assigned To set to Robert Wildling
- % Done changed from 0 to 50

#3 - 2015-01-09 06:02 - Mathias Schreiber
- Description updated
- Status changed from New to Closed
- Is Regression set to No
Taken into account in #63909.
The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.

Files
20130912_extensionmanager_lastUpdated_alldownloadcounter.patch 5 kB 2013-09-12 Martin Voss
20130912_extensionmanager_lastUpdated_alldownloadcounter.manage.png35.9 kB 2013-09-12 Martin Voss
20130912_extensionmanager_lastUpdated_alldownloadcounter.get.png41.7 kB 2013-09-12 Martin Voss
